<inp2:m_include t="incs/header"/>
<inp2:m_RenderElement name="combined_header" prefix="lst" section="in-link:listing_types" title_preset="listing_type_shop_cart" tab_preset="Default"/>

<!-- ToolBar -->
<table class="toolbar" height="30" cellspacing="0" cellpadding="0" width="100%" border="0">
<tbody>
	<tr>
  	<td>
  		<script type="text/javascript">
				a_toolbar = new ToolBar();
				a_toolbar.AddButton( new ToolBarButton('select', '<inp2:m_phrase label="la_ToolTip_Save" escape="1"/>', function() {
						submit_event('lst','<inp2:lst_SaveEvent/>');
						}
					) );
				a_toolbar.AddButton( new ToolBarButton('cancel', '<inp2:m_phrase label="la_ToolTip_Cancel" escape="1"/>', function() {
						submit_event('lst','OnCancelEdit');
						}
				 ) );

				a_toolbar.AddButton( new ToolBarSeparator('sep1') );

				a_toolbar.AddButton( new ToolBarButton('prev', '<inp2:m_phrase label="la_ToolTip_Prev" escape="1"/>', function() {
							go_to_id('lst', '<inp2:lst_PrevId/>');
						}
				 ) );
				a_toolbar.AddButton( new ToolBarButton('next', '<inp2:m_phrase label="la_ToolTip_Next" escape="1"/>', function() {
							go_to_id('lst', '<inp2:lst_NextId/>');
						}
				 ) );

				a_toolbar.Render();

				<inp2:m_if check="lst_IsSingle" >
					a_toolbar.HideButton('prev');
					a_toolbar.HideButton('next');
					a_toolbar.HideButton('sep1');
				<inp2:m_else/>
					<inp2:m_if check="lst_IsLast" >
						a_toolbar.DisableButton('next');
					</inp2:m_if>
					<inp2:m_if check="lst_IsFirst" >
						a_toolbar.DisableButton('prev');
					</inp2:m_if>
				</inp2:m_if>
			</script>
		</td>
	</tr>
</tbody>
</table>

<inp2:lst_SaveWarning name="grid_save_warning"/>
<inp2:lst_ErrorWarning name="form_error_warning"/>

<div id="scroll_container">
	<table class="edit-form">
		<inp2:m_RenderElement name="subsection" title="la_Text_ShopCartItem"/>
			<inp2:m_RenderElement name="inp_edit_checkbox" prefix="lst" field="EnableBuying" title="la_fld_EnableBuying" />
			<inp2:m_RenderElement name="inp_edit_box" prefix="lst" field="ShopCartName" title="la_fld_ShopCartName" size="20" />
			<inp2:m_RenderElement name="inp_edit_box" prefix="lst" field="Price" title="la_fld_Price" size="8" />
			<!-- <inp2:m_RenderElement name="inp_edit_checkbox" prefix="lst" field="Recurring" title="la_fld_Recurring" /> -->

	<inp2:m_RenderElement name="inp_edit_filler"/>
	</table>
</div>

<inp2:m_include t="incs/footer"/>